| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Namespaces | Classes | Macros | Typedefs | Enumerations | Functions
Overlay
Optional Components

Layers which is rendered on top of the 'normal' scene contents. More...

## Namespaces
| Ogre::OverlayElementCommands

## Classes
class | Ogre::BorderPanelOverlayElement
| A specialisation of the PanelOverlayElement to provide a panel with a border. More...
class | Ogre::BorderPanelOverlayElementFactory
| Factory for creating BorderPanelOverlayElement instances. More...
class | Ogre::BorderRenderable
| Class for rendering the border of a BorderPanelOverlayElement. More...
class | Ogre::Font
| Class representing a font in the system. More...
class | Ogre::FontManager
| Manages Font resources, parsing .fontdef files and generally organising them. More...
class | Ogre::Overlay
| Represents a layer which is rendered on top of the 'normal' scene contents. More...
class | Ogre::OverlayContainer
| A 2D element which contains other OverlayElement instances. More...
class | Ogre::OverlayElement
| Abstract definition of a 2D element to be displayed in an Overlay. More...
class | Ogre::OverlayElementFactory
| Defines the interface which all components wishing to supply OverlayElement subclasses must implement. More...
class | Ogre::OverlayManager
| Manages Overlay objects, parsing them from .overlay files and storing a lookup library of them. More...
class | Ogre::OverlayProfileSessionListener
| Concrete impl. More...
class | Ogre::OverlaySystem
| This class simplify initialization / finalization of the overlay system. More...
class | Ogre::PanelOverlayElement
| OverlayElement representing a flat, single-material (or transparent) panel which can contain other elements. More...
class | Ogre::PanelOverlayElementFactory
| Factory for creating PanelOverlayElement instances. More...
class | Ogre::TextAreaOverlayElement
| This class implements an overlay element which contains simple unformatted text. More...
class | Ogre::TextAreaOverlayElementFactory
| Factory for creating TextAreaOverlayElement instances. More...

## Macros
#define | OGRE_DEREF_DISPLAYSTRING_ITERATOR(it) *it

## Typedefs
typedef String | Ogre::DisplayString
typedef SharedPtr< Font > | Ogre::FontPtr

## Enumerations
enum | Ogre::FontType { Ogre::FT_TRUETYPE = 1, Ogre::FT_IMAGE = 2 }
| Enumerates the types of Font usable in the engine. More...
enum | Ogre::GuiHorizontalAlignment { Ogre::GHA_LEFT, Ogre::GHA_CENTER, Ogre::GHA_RIGHT }
| Enum describing where '0' is in relation to the parent in the horizontal dimension. More...
enum | Ogre::GuiMetricsMode { Ogre::GMM_RELATIVE, Ogre::GMM_PIXELS, Ogre::GMM_RELATIVE_ASPECT_ADJUSTED }
| Enum describing how the position / size of an element is to be recorded. More...
enum | Ogre::GuiVerticalAlignment { Ogre::GVA_TOP, Ogre::GVA_CENTER, Ogre::GVA_BOTTOM }
| Enum describing where '0' is in relation to the parent in the vertical dimension. More...

## Functions
| Ogre::OverlayProfileSessionListener::OverlayProfileSessionListener ()
| Ogre::OverlaySystem::OverlaySystem ()
virtual | Ogre::OverlayProfileSessionListener::~OverlayProfileSessionListener ()
virtual | Ogre::OverlaySystem::~OverlaySystem ()
virtual void | Ogre::OverlayProfileSessionListener::changeEnableState (bool enabled)
virtual void | Ogre::OverlayProfileSessionListener::displayResults (const ProfileInstance &instance, ulong maxTotalFrameTime)
virtual void | Ogre::OverlaySystem::eventOccurred (const String &eventName, const NameValuePairList *parameters)
virtual void | Ogre::OverlayProfileSessionListener::finializeSession ()
Real | Ogre::OverlayProfileSessionListener::getOverlayHeight () const
Real | Ogre::OverlayProfileSessionListener::getOverlayLeft () const
Real | Ogre::OverlayProfileSessionListener::getOverlayTop () const
Real | Ogre::OverlayProfileSessionListener::getOverlayWidth () const
virtual void | Ogre::OverlayProfileSessionListener::initializeSession ()
virtual void | Ogre::OverlaySystem::renderQueueStarted (uint8 queueGroupId, const String &invocation, bool &skipThisInvocation)
void | Ogre::OverlayProfileSessionListener::setOverlayDimensions (Real width, Real height)
| Set the size of the profiler overlay, in pixels. More...
void | Ogre::OverlayProfileSessionListener::setOverlayPosition (Real left, Real top)
| Set the position of the profiler overlay, in pixels. More...

## Detailed Description

Layers which is rendered on top of the 'normal' scene contents.

## Macro Definition Documentation

## ◆ OGRE_DEREF_DISPLAYSTRING_ITERATOR

#define OGRE_DEREF_DISPLAYSTRING_ITERATOR | ( |  | it | ) | *it

## Typedef Documentation

## ◆ FontPtr

typedef SharedPtr<Font> Ogre::FontPtr

## ◆ DisplayString

typedef String Ogre::DisplayString

## Enumeration Type Documentation

## ◆ FontType

enum Ogre::FontType

Enumerates the types of Font usable in the engine.

Enumerator
FT_TRUETYPE | Generated from a truetype (.ttf) font.
FT_IMAGE | Loaded from an image created by an artist.

## ◆ GuiMetricsMode

enum Ogre::GuiMetricsMode

Enum describing how the position / size of an element is to be recorded.

Enumerator
GMM_RELATIVE | 'left', 'top', 'height' and 'width' are parametrics from 0.0 to 1.0
GMM_PIXELS | Positions & sizes are in absolute pixels.
GMM_RELATIVE_ASPECT_ADJUSTED | Positions & sizes are in virtual pixels.

## ◆ GuiHorizontalAlignment

enum Ogre::GuiHorizontalAlignment

Enum describing where '0' is in relation to the parent in the horizontal dimension.

Remarks
  Affects how 'left' is interpreted.

Enumerator
GHA_LEFT |
GHA_CENTER |
GHA_RIGHT |

## ◆ GuiVerticalAlignment

enum Ogre::GuiVerticalAlignment

Enum describing where '0' is in relation to the parent in the vertical dimension.

Remarks
  Affects how 'top' is interpreted.

Enumerator
GVA_TOP |
GVA_CENTER |
GVA_BOTTOM |

## Function Documentation

## ◆ OverlayProfileSessionListener()

Ogre::OverlayProfileSessionListener::OverlayProfileSessionListener | ( |  | ) |

## ◆ ~OverlayProfileSessionListener()

virtual Ogre::OverlayProfileSessionListener::~OverlayProfileSessionListener | ( |  | ) |
| virtual

## ◆ initializeSession()

virtual void Ogre::OverlayProfileSessionListener::initializeSession | ( |  | ) |
| virtual

See also
  ProfileSessionListener::initializeSession

Implements Ogre::ProfileSessionListener.

## ◆ finializeSession()

virtual void Ogre::OverlayProfileSessionListener::finializeSession | ( |  | ) |
| virtual

See also
  ProfileSessionListener::finializeSession

Implements Ogre::ProfileSessionListener.

## ◆ displayResults()

virtual void Ogre::OverlayProfileSessionListener::displayResults | ( | const ProfileInstance & | instance,
|  | ulong | maxTotalFrameTime
| ) |  |
| virtual

See also
  ProfileSessionListener::displayResults

Reimplemented from Ogre::ProfileSessionListener.

## ◆ changeEnableState()

virtual void Ogre::OverlayProfileSessionListener::changeEnableState | ( | bool | enabled | ) |
| virtual

See also
  ProfileSessionListener::changeEnableState

Reimplemented from Ogre::ProfileSessionListener.

## ◆ setOverlayDimensions()

void Ogre::OverlayProfileSessionListener::setOverlayDimensions | ( | Real | width,
|  | Real | height
| ) |  |

Set the size of the profiler overlay, in pixels.

## ◆ setOverlayPosition()

void Ogre::OverlayProfileSessionListener::setOverlayPosition | ( | Real | left,
|  | Real | top
| ) |  |

Set the position of the profiler overlay, in pixels.

## ◆ getOverlayWidth()

Real Ogre::OverlayProfileSessionListener::getOverlayWidth | ( |  | ) | const

## ◆ getOverlayHeight()

Real Ogre::OverlayProfileSessionListener::getOverlayHeight | ( |  | ) | const

## ◆ getOverlayLeft()

Real Ogre::OverlayProfileSessionListener::getOverlayLeft | ( |  | ) | const

## ◆ getOverlayTop()

Real Ogre::OverlayProfileSessionListener::getOverlayTop | ( |  | ) | const

## ◆ OverlaySystem()

Ogre::OverlaySystem::OverlaySystem | ( |  | ) |

## ◆ ~OverlaySystem()

virtual Ogre::OverlaySystem::~OverlaySystem | ( |  | ) |
| virtual

## ◆ renderQueueStarted()

virtual void Ogre::OverlaySystem::renderQueueStarted | ( | uint8 | queueGroupId,
|  | const String & | invocation,
|  | bool & | skipThisInvocation
| ) |  |
| virtual

See also
  RenderQueueListener

Reimplemented from Ogre::RenderQueueListener.

## ◆ eventOccurred()

virtual void Ogre::OverlaySystem::eventOccurred | ( | const String & | eventName,
|  | const NameValuePairList * | parameters
| ) |  |
| virtual

See also
  RenderSystem::Listener

Implements Ogre::RenderSystem::Listener.